using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
namespace APT.MS.Domain.Entities.OG
{
    /// <summary>
    /// 导航属性：员工拒绝事项上报表
    /// </summary>
    [Description("员工拒绝事项上报表")]
    public class T_OG_EMPLOYEE_REFUSE_ITEM_REPORT_FILE : MesEntityBase
    {
        /// <summary>
        /// 员工拒绝事项上报表
        /// </summary>
        [Description("员工拒绝事项上报表")]
        [DataFieldForeignKey("Nav_Opinion", "Nav_FileList")]
        public Guid EMPLOYEE_REFUSE_ITEM_REPORT_ID { get; set; }
        /// <summary>
        /// 导航: 员工拒绝事项上报表
        /// </summary>
        [Description("导航: 员工拒绝事项上报表")]
        public T_OG_EMPLOYEE_REFUSE_ITEM_REPORT Nav_Opinion { get; set; }

        /// <summary>
        /// 文件ID
        /// </summary>
        [Description("文件")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid IMG_FILE_ID { get; set; }

        /// <summary>
        /// 导航属性：文件
        /// </summary>
        [Description("导航属性：文件")]
        public T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
